Summary:	Keyboard driven and lightweight Wayland notification daemon
Name:		fnott
Version:	1.3.0
Release:	2
License:	MIT and Zlib
Group:		Applications
Source0:	https://codeberg.org/dnkl/fnott/archive/%{version}.tar.gz
# Source0-md5:	71187b9d941ae155a2dbbf6b2478300a
URL:		https://codeberg.org/dnkl/fnott/
BuildRequires:	dbus-devel
BuildRequires:	fcft-devel < 4.0.0
BuildRequires:	fcft-devel >= 3.0.0
BuildRequires:	libpng-devel
BuildRequires:	meson >= 0.58.0
BuildRequires:	ninja
BuildRequires:	pixman-devel
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	scdoc
BuildRequires:	tllist-devel >= 1.0.1
BuildRequires:	wayland-devel
BuildRequires:	wayland-protocols
Requires(post,postun):	desktop-file-utils
Requires:	fcft < 4.0.0
Requires:	fcft >= 3.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Fnott is a keyboard driven and lightweight notification daemon for
wlroots-based Wayland compositors.

%package -n zsh-completion-fnott
Summary:	ZSH completion for fnott command line
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	zsh
BuildArch:	noarch

%description -n zsh-completion-fnott
ZSH completion for fnott command line.

%prep
%setup -q -n %{name}

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post

%postun
%update_desktop_database_postun

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md README.md
%attr(755,root,root) %{_bindir}/fnott
%attr(755,root,root) %{_bindir}/fnottctl
%{_desktopdir}/fnott.desktop
%dir %{_datadir}/fnott
%{_datadir}/fnott/fnott.ini
%{_mandir}/man1/fnott.1*
%{_mandir}/man1/fnottctl.1*
%{_mandir}/man5/fnott.ini.5*

%files -n zsh-completion-fnott
%defattr(644,root,root,755)
%{zsh_compdir}/_fnott
%{zsh_compdir}/_fnottctl
%changelog
* Wed Aug 17 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fnott.git;a=log;h=master

* Wed Aug 17 2022 Jan Palus <atler@pld-linux.org> 6282427
- Release 2 (by relup.sh)

* Sun Aug 07 2022 Jan Palus <atler@pld-linux.org> 7132c97
- up to 1.3.0

* Wed Apr 20 2022 Jan Palus <atler@pld-linux.org> 4b95f67
- new

